Bug 52736 - [CSS3 Backgrounds and Borders] Tiles not properly centered for "repeat" in border-image sides and center
Summary: [CSS3 Backgrounds and Borders] Tiles not properly centered for "repeat" in bo...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All OS X 10.5
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-19 13:16 PST by Simon Fraser (smfr)
Modified: 2011-09-14 15:23 PDT (History)
1 user (show)

See Also:


Attachments
Testcase (384 bytes, text/html)
2011-09-13 16:30 PDT, Simon Fraser (smfr)
no flags Details
Better testcase (356 bytes, text/html)
2011-09-13 17:20 PDT, Dave Hyatt
no flags Details
Patch (377.36 KB, patch)
2011-09-14 15:17 PDT, Dave Hyatt
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2011-01-19 13:16:15 PST
Gradients used in border-image: ... repeat look very broken:
http://lists.w3.org/Archives/Public/www-style/2011Jan/0360.html
Comment 1 Simon Fraser (smfr) 2011-09-13 16:30:31 PDT
Created attachment 107254 [details]
Testcase
Comment 2 Dave Hyatt 2011-09-13 17:20:51 PDT
Created attachment 107267 [details]
Better testcase
Comment 3 Dave Hyatt 2011-09-14 15:17:45 PDT
Created attachment 107401 [details]
Patch
Comment 4 Dave Hyatt 2011-09-14 15:23:40 PDT
Fixed in r95129.